MerchantE API Docs

Download batch response file

Used to download a batch response file. All batch API requests are handled by an HTTPS POST to this endpoint. Response files are used to determine the status of each of the transactions that was submitted in a batch.

The response file contains transaction data formatted according to the ME Payment Gateway Specification, with each transaction response on a separate line.

Note: A JSON error response is only returned if an error has occurred. On success, the raw text file is returned.

Request Body

Content type: application/x-www-form-urlencoded

Required3 fields
userIdstring
ME login ID
maxLength=32
userPassstring
ME login password
format=password · maxLength=32
respFileIdstring
The File ID from the processed batch (returned in the upload confirmation)
pattern=^[0-9]+$ · maxLength=15

Responses

200
Response file successfully retrieved

Response file successfully retrieved

Example Response

transaction_id=ce79a48df5733202ad5f533286f6d943&error_code=000&auth_response_text=Approved&avs_result=Y&cvv2_result=M&auth_code=T7997H
transaction_id=b2d7bfc52e5f3be0ad2a1845dd9f6235&error_code=000&auth_response_text=Approved&avs_result=Y&cvv2_result=M&auth_code=T8000H
transaction_id=4eb67cb684e03f739a51b4eba71daba8&error_code=000&auth_response_text=Approved&avs_result=Y&cvv2_result=M&auth_code=T8004H
transaction_id=aaccde8419423723b119bed4d25673a7&error_code=000&auth_response_text=Approved&avs_result=Y&cvv2_result=M&auth_code=T8008H
transaction_id=de359cfeca5d389b8d351e3a9fdc0a49&error_code=000&auth_response_text=Approved&avs_result=Y&cvv2_result=M&auth_code=T8012H
400
Bad Request - Invalid response file ID

Bad Request - Invalid response file ID

Common2 fields
rspCodestring
Three-digit response/error code
pattern=^[0-9]+$ · maxLength=3
rspMessagestring
Text that accompanies the three-digit response/error code
maxLength=45
When Provided2 fields
userIdstring
ME login ID (echoed from request)
maxLength=32
respFileIdstring
The File ID from the processed batch (echoed from request)
pattern=^[0-9]+$ · maxLength=15

Example Response

{
  "userId": "merchant123",
  "respFileId": "123456789012345",
  "rspCode": "301",
  "rspMessage": "Invalid response file ID"
}
401
Unauthorized - Authentication error

Unauthorized - Authentication error

Common2 fields
rspCodestringenum
Three-digit response/error code.
**Error Codes (per PDF Page 9):**
| Code | Description | Required Action |
|------|-------------|-----------------|
| 000 | OK | Batch was successfully received |
| 001 | System Error | Contact ME for research and resolution |
| 002 | Authentication Error | Invalid access right or invalid user ID and/or user password |
| 003 | Invalid Parameter | Check format to correct the invalid parameter |
| 004 | Missing parameter | Check format for missing parameter |
| 300 | Invalid Profile ID | Verify Profile ID is correct and resend batch |
| 301 | Invalid response file ID | Verify that user ID, user password, and file ID are valid and retry |
| 302 | Invalid test flag | Valid values are Y and N, default is N, field not required |
| 303 | Batch processing not allowed | Contact ME, batch processing must be enabled for the profile ID used |
pattern=^[0-9]+$ · maxLength=3
rspMessagestring
Text that accompanies the three-digit response/error code
maxLength=45

Example Response

{
  "rspCode": "002",
  "rspMessage": "Authentication Error"
}
500
Internal Server Error

Internal Server Error

Common2 fields
rspCodestringenum
Three-digit response/error code.
**Error Codes (per PDF Page 9):**
| Code | Description | Required Action |
|------|-------------|-----------------|
| 000 | OK | Batch was successfully received |
| 001 | System Error | Contact ME for research and resolution |
| 002 | Authentication Error | Invalid access right or invalid user ID and/or user password |
| 003 | Invalid Parameter | Check format to correct the invalid parameter |
| 004 | Missing parameter | Check format for missing parameter |
| 300 | Invalid Profile ID | Verify Profile ID is correct and resend batch |
| 301 | Invalid response file ID | Verify that user ID, user password, and file ID are valid and retry |
| 302 | Invalid test flag | Valid values are Y and N, default is N, field not required |
| 303 | Batch processing not allowed | Contact ME, batch processing must be enabled for the profile ID used |
pattern=^[0-9]+$ · maxLength=3
rspMessagestring
Text that accompanies the three-digit response/error code
maxLength=45

Example Response

{
  "rspCode": "001",
  "rspMessage": "System Error"
}

Code samples

Copy-paste ready code in your preferred language for form POST requests.

Form POST

Copy/paste friendly
curl -X POST "https://test.merchante-solutions.com/srv/api/bpDownload" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "userId=merchant123" \
  --data-urlencode "userPass=password123" \
  --data-urlencode "respFileId=123456789012345"